image: docker:latest

services:
  - docker:dind

stages:
  - build_base
  - build_media

variables:
  CONTAINER_REGISTRY: registry.gitlab.com
  CONTAINER_IMAGE_NAME: media-cloud-ai/ci/sdk-python

build_docker_image_base:
  stage: build_base
  before_script:
    - apk add --no-cache git
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CONTAINER_REGISTRY
  script:
    - export IMAGE_TAG=$CI_COMMIT_TAG
    - docker build --build-arg TAG=$IMAGE_TAG -t $CONTAINER_REGISTRY/$CONTAINER_IMAGE_NAME:$IMAGE_TAG -f Dockerfile.base .
    - docker push $CONTAINER_REGISTRY/$CONTAINER_IMAGE_NAME:$IMAGE_TAG
    - docker rmi $CONTAINER_REGISTRY/$CONTAINER_IMAGE_NAME:$IMAGE_TAG
    - docker image prune -f
    - echo $CONTAINER_REGISTRY/$CONTAINER_IMAGE_NAME:$IMAGE_TAG
  only:
    - tags
  tags:
    - mcai

build_docker_image_media:
  stage: build_media
  before_script:
    - apk add --no-cache git
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CONTAINER_REGISTRY
  script:
    - export IMAGE_TAG=$CI_COMMIT_TAG-media
    - docker build --build-arg TAG=$IMAGE_TAG -t $CONTAINER_REGISTRY/$CONTAINER_IMAGE_NAME:$IMAGE_TAG -f Dockerfile.media .
    - docker push $CONTAINER_REGISTRY/$CONTAINER_IMAGE_NAME:$IMAGE_TAG
    - docker rmi $CONTAINER_REGISTRY/$CONTAINER_IMAGE_NAME:$IMAGE_TAG
    - docker image prune -f
    - echo $CONTAINER_REGISTRY/$CONTAINER_IMAGE_NAME:$IMAGE_TAG
  only:
    - tags
  tags:
    - mcai
